Index: imaps-frontend/src/pages/MyMaps/MyMaps.jsx
===================================================================
--- imaps-frontend/src/pages/MyMaps/MyMaps.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/pages/MyMaps/MyMaps.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -10,6 +10,6 @@
 import {useAppContext} from "../../components/AppContext/AppContext.jsx";
 import config from "../../scripts/net/netconfig.js";
-import {element} from "prop-types";
 import Toast from "../../components/Toast/Toast.jsx";
+import plus_icon from "../../assets/plus_icon.png";
 
 const renderTile = ({data, isDragging}, openMapInfo) => (
@@ -65,10 +65,21 @@
         setToastMessage(message);
         setToastType(type);
-        setTimeout(() => setToastMessage(null), 3000); // Automatically hide the toast after 3 seconds
-    };
-
+        setTimeout(() => setToastMessage(null), 3000);
+    };
 
     const handleUpdate = async (updatedMap) => {
-        // Placeholder for map update logic
+        try {
+            let httpService = new HttpService(true);
+            const response = await httpService.post(
+                config.my_maps.edit_map_info,
+                updatedMap
+            );
+            closeMapInfoModal()
+            window.location.reload();
+
+        } catch (error) {
+            showToast("Map Name already taken", 0)
+            closeMapInfoModal()
+        }
     };
 
@@ -83,10 +94,9 @@
                 setTiles((prevTiles) => prevTiles.filter((tile) => tile.mapName !== mapName));
                 setAllTiles((prevTiles) => prevTiles.filter((tile) => tile.mapName !== mapName));
-                showToast("Map deleted", 1)
+                showToast("Map deleted", 1);
             })
             .catch((error) => {
                 const errorMessage = error.response?.data?.error || error.message || "Unknown error";
-                // alert(`Error deleting the map: ${errorMessage}`);
-                showToast(`Error deleting the map: ${errorMessage}`, 0)
+                showToast(`Error deleting the map: ${errorMessage}`, 0);
             });
     };
@@ -97,7 +107,6 @@
 
         httpService
-            .put(`${config.my_maps.add}?username=${username}`, mapDetails)
+            .put(`${config.my_maps.add}?username=${encodeURI(username)}`, mapDetails)
             .then((respMap) => {
-                console.log("RESP NEW MAP: " + respMap)
                 const mapTile = {
                     mapName: respMap.mapName,
@@ -108,7 +117,8 @@
                     modified_at: respMap.modifiedAt,
                     published_at: respMap.published_at,
-                    gmaps_url: respMap.gmaps_url,
+                    gmaps_url: respMap.gmapsUrl,
                     image_url: card,
                     is_published: respMap.is_published,
+                    mapType: respMap.mapType
                 };
 
@@ -116,9 +126,7 @@
                 setTiles((prevTiles) => [...prevTiles, mapTile]);
                 showToast("Map added successfully!");
-
-
             })
             .catch((error) => {
-                showToast("Map name already taken", 0)
+                showToast("Map name already taken", 0);
             });
     };
@@ -129,5 +137,7 @@
             httpService.setAuthenticated();
 
-            const respMaps = await httpService.get(`${config.my_maps.display}?username=${username}`);
+            const respMaps = await httpService.get(
+                `${config.my_maps.display}?username=${encodeURI(username)}`
+            );
 
             const mapTiles = respMaps.map((elem) => ({
@@ -139,9 +149,8 @@
                 modified_at: elem.modifiedAt,
                 published_at: elem.published_at,
-                gmaps_url: elem.gMapsUrl,
+                gmaps_url: elem.gmapsUrl,
                 image_url: card,
                 numFavourites: elem.numFavourites,
             }));
-
 
             setTiles(mapTiles);
@@ -154,5 +163,5 @@
         setPublicMaps(tiles.filter((tile) => tile.status === "PUBLIC"));
         setPrivateMaps(tiles.filter((tile) => tile.status === "PRIVATE"));
-        setPendingMaps(tiles.filter((tile) => tile.status === "INVALID"));
+        setPendingMaps(tiles.filter((tile) => tile.status === "PENDING"));
     }, [tiles]);
 
@@ -164,16 +173,20 @@
     return (
         <div className={styles.container}>
-            <Logo/>
-            <Profile/>
+
+            <div className={`${styles.logoWrapper}`}>
+                <Logo/>
+            </div>
             <h1>Your Maps</h1>
-
-            <div className={styles.actionButtons}>
-                <button className={styles.createMapsButton} onClick={openCreateModal}>
-                    Create Map
-                </button>
-            </div>
+            <div className={`${styles.profileWrapper}`}>
+                <Profile/>
+            </div>
+
 
             <div className={styles.searchBar}>
-                <input type="text" placeholder="Search for maps..." onChange={handleSearch}/>
+                <input
+                    type="text"
+                    placeholder="Search for maps..."
+                    onChange={handleSearch}
+                />
             </div>
 
@@ -201,4 +214,7 @@
                         forceTileHeight={170}
                     />
+                    <button className={styles.plusButton} onClick={openCreateModal}>
+                        <img src={plus_icon} alt="Add Map"/>
+                    </button>
                 </div>
 
@@ -222,8 +238,21 @@
                 onDelete={deleteMap}
                 onUpdate={handleUpdate}
-                onPublish={() => {
+                onPublish={(updatedMap = null) => {
+
+                    const updatedTile = {
+                        mapName: updatedMap.mapName,
+                        cols: 1,
+                        rows: 1,
+                        status: updatedMap.mapStatus,
+                        created_at: updatedMap.createdAt,
+                        modified_at: updatedMap.modifiedAt,
+                        published_at: updatedMap.published_at,
+                        gmaps_url: updatedMap.gMapsUrl,
+                        image_url: card,
+                        numFavourites: updatedMap.numFavourites,
+                    }
                     showToast(`Map ${selectedMap.mapName} published successfully!`);
                     setPrivateMaps((prevMaps) => prevMaps.filter(m => m.mapName !== selectedMap.mapName))
-                    setPendingMaps((prevMaps) => [...prevMaps,allTiles.find(m => m.mapName = selectedMap.mapName)])
+                    setPendingMaps((prevMaps) => [...prevMaps, updatedTile])
                     closeMapInfoModal()
                 }}
@@ -236,5 +265,11 @@
             />
 
-            {toastMessage && <Toast message={toastMessage} type={toastType} onClose={() => setToastMessage(null)}/>}
+            {toastMessage && (
+                <Toast
+                    message={toastMessage}
+                    type={toastType}
+                    onClose={() => setToastMessage(null)}
+                />
+            )}
         </div>
     );
Index: imaps-frontend/src/pages/PrivacyPolicy/PrivacyPolicy.jsx
===================================================================
--- imaps-frontend/src/pages/PrivacyPolicy/PrivacyPolicy.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-frontend/src/pages/PrivacyPolicy/PrivacyPolicy.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -0,0 +1,82 @@
+import React from "react";
+import "./PrivacyPolicy.css";
+
+const PrivacyPolicy = () => {
+    return (
+        <div className="privacy-policy-container">
+            <h1>Privacy Policy</h1>
+            <p>Effective Date: January 19, 2025</p>
+            <p>
+                Welcome to <strong>IMAPS</strong>, your indoor mapping solution. Your privacy is
+                important to us. This Privacy Policy explains how we collect, use, and
+                protect your personal information.
+            </p>
+
+            <h2>1. Information We Collect</h2>
+            <p>
+                We may collect the following types of information when you use our
+                application:
+            </p>
+            <ul>
+                <li>Location data for providing navigation and map services.</li>
+                <li>
+                    Device information, including operating system and browser type.
+                </li>
+                <li>
+                    Usage data, such as search queries, clicks, and time spent on the app.
+                </li>
+                <li>Any feedback or messages you provide via the app.</li>
+            </ul>
+
+            <h2>2. How We Use Your Information</h2>
+            <p>
+                The information we collect is used to:
+            </p>
+            <ul>
+                <li>Provide accurate navigation and mapping services.</li>
+                <li>Enhance the app's features and functionality.</li>
+                <li>Analyze usage trends to improve performance.</li>
+                <li>Respond to user queries and support requests.</li>
+            </ul>
+
+            <h2>3. Sharing Your Information</h2>
+            <p>
+                We do not sell your personal information. However, we may share your
+                data with:
+            </p>
+            <ul>
+                <li>Third-party service providers who assist in app operations.</li>
+                <li>
+                    Legal authorities if required by law or to protect the app's security.
+                </li>
+            </ul>
+
+            <h2>4. Data Security</h2>
+            <p>
+                We implement industry-standard measures to protect your data. However,
+                no system is completely secure, and we cannot guarantee absolute
+                security.
+            </p>
+
+            <h2>5. Your Choices</h2>
+            <p>
+                You can control the information we collect by managing your device
+                settings or opting out of certain features.
+            </p>
+
+            <h2>6. Changes to This Privacy Policy</h2>
+            <p>
+                We may update this Privacy Policy from time to time. Changes will be
+                posted on this page with an updated &#34;Effective Date.&#34;
+            </p>
+
+            <h2>7. Contact Us</h2>
+            <p>
+                If you have any questions or concerns about this Privacy Policy, please
+                contact us at <a href="mailto:support@imaps.mk">support@imaps.mk</a>.
+            </p>
+        </div>
+    );
+};
+
+export default PrivacyPolicy;
Index: imaps-frontend/src/pages/Signup/Signup.jsx
===================================================================
--- imaps-frontend/src/pages/Signup/Signup.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/pages/Signup/Signup.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -4,4 +4,5 @@
 import styles from "./Signup.module.css";
 import Logo from "../../components/Logo/Logo";
+import netconfig from "../../scripts/net/netconfig.js";
 
 export default function Signup() {
@@ -9,10 +10,17 @@
   const [email, setEmail] = useState("");
   const [password, setPassword] = useState("");
+  const [confirmPassword, setConfirmPassword] = useState("");
   const [message, setMessage] = useState("");
-  const [messageType, setMessageType] = useState(""); // New state to manage message type
+  const [messageType, setMessageType] = useState("");
   const navigate = useNavigate();
 
   const handleSubmit = async (e) => {
     e.preventDefault();
+
+    if (password !== confirmPassword) {
+      setMessageType("error");
+      setMessage("Passwords do not match.");
+      return;
+    }
 
     const payload = {
@@ -23,5 +31,5 @@
 
     try {
-      const response = await fetch("http://localhost:8080/api/auth/register", {
+      const response = await fetch(netconfig.auth.register, {
         method: "POST",
         headers: {
@@ -35,8 +43,7 @@
         setMessage("User registered successfully!");
 
-        // Wait 3 seconds and then redirect to login page
         setTimeout(() => {
           navigate("/login");
-        }, 3000);
+        }, 1000);
       } else if (response.status === 409) {
         setMessageType("error");
@@ -54,62 +61,68 @@
 
   return (
-    <div className={styles.wrapper}>
-      <Logo></Logo>
-      <div className={styles.illustration}>
-        <img src={illustration} alt="illustration" />
+      <div className={styles.wrapper}>
+        <Logo></Logo>
+        <div className={styles.illustration}>
+          <img src={illustration} alt="illustration" />
+        </div>
+        <div className={styles.form}>
+          <div className={styles.heading}>CREATE AN ACCOUNT</div>
+          <form onSubmit={handleSubmit}>
+            <div>
+              <label htmlFor="name">Username</label>
+              <input
+                  type="text"
+                  id="name"
+                  value={name}
+                  onChange={(e) => setName(e.target.value)}
+                  placeholder="Enter your username"
+                  required
+              />
+            </div>
+            <div>
+              <label htmlFor="email">E-Mail</label>
+              <input
+                  type="email"
+                  id="email"
+                  value={email}
+                  onChange={(e) => setEmail(e.target.value)}
+                  placeholder="Enter your email"
+                  required
+              />
+            </div>
+            <div>
+              <label htmlFor="password">Password</label>
+              <input
+                  type="password"
+                  id="password"
+                  value={password}
+                  onChange={(e) => setPassword(e.target.value)}
+                  placeholder="Enter your password"
+                  required
+              />
+            </div>
+            <div>
+              <label htmlFor="confirmPassword">Confirm Password</label>
+              <input
+                  type="password"
+                  id="confirmPassword"
+                  value={confirmPassword}
+                  onChange={(e) => setConfirmPassword(e.target.value)}
+                  placeholder="Confirm your password"
+                  required
+              />
+            </div>
+            <button type="submit">Submit</button>
+            {message && (
+                <p className={messageType === "success" ? styles.successMessage : styles.errorMessage}>
+                  {message}
+                </p>
+            )}
+          </form>
+          <p>
+            Have an account? <Link to="/Login"> Login </Link>
+          </p>
+        </div>
       </div>
-      <div className={styles.form}>
-        <div className={styles.heading}>CREATE AN ACCOUNT</div>
-        <form onSubmit={handleSubmit}>
-          <div>
-            <label htmlFor="name">Username</label>
-            <input
-              type="text"
-              id="name"
-              value={name}
-              onChange={(e) => setName(e.target.value)}
-              placeholder="Enter your username"
-              required
-            />
-          </div>
-          <div>
-            <label htmlFor="email">E-Mail</label>
-            <input
-              type="email"
-              id="email"
-              value={email}
-              onChange={(e) => setEmail(e.target.value)}
-              placeholder="Enter your email"
-              required
-            />
-          </div>
-          <div>
-            <label htmlFor="password">Password</label>
-            <input
-              type="password"
-              id="password"
-              value={password}
-              onChange={(e) => setPassword(e.target.value)}
-              placeholder="Enter your password"
-              required
-            />
-          </div>
-          <button type="submit">Submit</button>
-
-          {/* Display message with appropriate styling */}
-          {message && (
-            <p className={messageType === "success" ? styles.successMessage : styles.errorMessage}>
-              {message}
-            </p>
-          )}
-          <h2 align="center" className={styles.or}>
-            OR
-          </h2>
-        </form>
-        <p>
-          Have an account? <Link to="/Login"> Login </Link>
-        </p>
-      </div>
-    </div>
   );
 }
Index: imaps-frontend/src/pages/TermsOfService/TermsOfService.jsx
===================================================================
--- imaps-frontend/src/pages/TermsOfService/TermsOfService.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-frontend/src/pages/TermsOfService/TermsOfService.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -0,0 +1,81 @@
+import React from "react";
+import "./TermsOfService.css";
+
+const TermsOfService = () => {
+    return (
+        <div className="terms-container">
+            <h1>Terms of Service</h1>
+            <p>Effective Date: January 19 2024</p>
+
+            <section>
+                <h2>1. Acceptance of Terms</h2>
+                <p>
+                    By accessing or using our indoor map application (“IMaps”), you agree to comply with and be bound by these Terms of Service (“Terms”). If you do not agree to these Terms, you may not use IMaps.
+                </p>
+            </section>
+
+            <section>
+                <h2>2. Changes to Terms</h2>
+                <p>
+                    We reserve the right to modify these Terms at any time. We will notify you of significant changes by posting the updated Terms on our website. Your continued use of the IMaps constitutes acceptance of the revised Terms.
+                </p>
+            </section>
+
+            <section>
+                <h2>3. Use of IMaps</h2>
+                <p>
+                    You agree to use IMaps only for lawful purposes. You must not:
+                </p>
+                <ul>
+                    <li>Engage in any activity that disrupts or interferes with IMaps.</li>
+                    <li>Use IMaps for any fraudulent, unlawful, or harmful activity.</li>
+                    <li>Attempt to gain unauthorized access to our servers or systems.</li>
+                </ul>
+            </section>
+
+            <section>
+                <h2>4. User Accounts</h2>
+                <p>
+                    To access certain features, you may need to create an account. You are responsible for maintaining the confidentiality of your account information and for all activities that occur under your account.
+                </p>
+            </section>
+
+            <section>
+                <h2>5. Intellectual Property</h2>
+                <p>
+                    All content, designs, trademarks, and intellectual property associated with IMaps are the property of [Your Company Name] or its licensors. Unauthorized use of these materials is strictly prohibited.
+                </p>
+            </section>
+
+            <section>
+                <h2>6. Limitation of Liability</h2>
+                <p>
+                    To the maximum extent permitted by law, [Your Company Name] shall not be liable for any direct, indirect, incidental, or consequential damages arising out of your use of the IMaps.
+                </p>
+            </section>
+
+            <section>
+                <h2>7. Termination</h2>
+                <p>
+                    We reserve the right to terminate or suspend your access to IMaps at our sole discretion, without notice, for conduct that we believe violates these Terms or is harmful to other users or the IMaps.
+                </p>
+            </section>
+
+            <section>
+                <h2>8. Governing Law</h2>
+                <p>
+                    These Terms shall be governed by and construed in accordance with the laws of [Your Jurisdiction]. Any disputes arising from these Terms will be subject to the exclusive jurisdiction of the courts in [Your Location].
+                </p>
+            </section>
+
+            <section>
+                <h2>9. Contact Us</h2>
+                <p>
+                    If you have any questions about these Terms, please contact us at <a href="mailto:support@imaps.mk">support@imaps.mk</a>.
+                </p>
+            </section>
+        </div>
+    );
+};
+
+export default TermsOfService;
Index: imaps-frontend/src/scripts/base/MapShape.js
===================================================================
--- imaps-frontend/src/scripts/base/MapShape.js	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/scripts/base/MapShape.js	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -7,5 +7,4 @@
         }
 
-        console.log(config.x,"FFF");
         super(config);
         this.layer = layer;
@@ -64,5 +63,5 @@
             text: this._info.name,
             fontSize: 12,
-            fontFamily: 'Verdana',
+            fontFamily: 'Exo',
             fill: 'white',
         });
@@ -134,4 +133,8 @@
     }
 
+    onPlace(){
+        //this.snapToGrid();
+    }
+
 
     get info() {
Index: imaps-frontend/src/scripts/main/MapBuilder.js
===================================================================
--- imaps-frontend/src/scripts/main/MapBuilder.js	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/scripts/main/MapBuilder.js	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -21,5 +21,4 @@
 
         // TODO AKO DRAGNIT NEKOJ OD POCETOK NA STAGE POZICIIVE KE SA ZEZNAT
-        // TODO jwt vo cookie
         // TODO placed shape i mouseMoveHandler da ne callback ( da ne vrakjat funkcija)
         // TODO text na top layer sekogas
@@ -35,4 +34,6 @@
         this.textLayer = new Konva.Layer();
         this.gridLayer.listening(false);
+
+        this.isDrawEventBound = false;
 
 
@@ -96,8 +97,8 @@
     setupEventListeners() {
         document.getElementById("shapeOptions").addEventListener("click", this.selectShape.bind(this));
-        window.addEventListener("keydown", this.handleExitSelection.bind(this));
-        window.addEventListener("keydown", this.handleDelete.bind(this));
-        window.addEventListener("keydown", this.rotateShapesBy90Deg.bind(this));
-        window.addEventListener("keydown", this.toggleEfficientDrawingMode.bind(this));
+        // window.addEventListener("keydown", this.handleExitSelection.bind(this));
+        // window.addEventListener("keydown", this.handleDelete.bind(this));
+        // window.addEventListener("keydown", this.rotateShapesBy90Deg.bind(this));
+        // window.addEventListener("keydown", this.toggleEfficientDrawingMode.bind(this));
         window.addEventListener("resize", this.handleResize.bind(this));
 
@@ -107,5 +108,5 @@
         this.boundEfficientDrawingModeEventListener = this.toggleEfficientDrawingMode.bind(this);
 
-        //this.attachKeyPressEventListeners();
+        this.attachKeyPressEventListeners();
 
         this.stage.on("mousedown touchstart", this.handleMouseDown.bind(this));
@@ -119,4 +120,5 @@
 
     detachKeyPressEventListeners() {
+        console.log("DETACH")
         window.removeEventListener("keydown", this.boundEscapeEventListener);
         window.removeEventListener("keydown", this.boundDeleteEventListener);
@@ -126,4 +128,5 @@
 
     attachKeyPressEventListeners() {
+        console.log("ATTACH")
         window.addEventListener("keydown", this.boundEscapeEventListener);
         window.addEventListener("keydown", this.boundDeleteEventListener);
@@ -269,5 +272,4 @@
         let infoPin = Factory.createShape("InfoPin", attrs);
         addEventHandling(infoPin, this, "dblclick");
-        //this.shapes.push(infoPin);
         ShapeRegistry.add(infoPin)
         this.mainLayer.add(infoPin);
@@ -307,4 +309,5 @@
 
         const placedObj = Factory.createShape(this.hoverObj.type, attrs);
+
         if (!placedObj) return;
 
@@ -312,14 +315,12 @@
 
         this.mainLayer.add(placedObj);
-        //this.shapes.push(placedObj);
-        console.log("VO PLACED SHAEPS WALL ZITI SE: " + placedObj.className);
         ShapeRegistry.add(placedObj);
         addEventHandling(placedObj, this, "dblclick");
         this.mainLayer.draw();
-
         // site ovie func da se vo edna funkcija vo shape.
 
         placedObj.displayName(this.textLayer);
         placedObj.snapToGrid();
+        placedObj.onPlace();
 
         triggerMapSave();
@@ -328,12 +329,17 @@
             this.stopDrawing();
         }
+        this.mainTransformer.nodes([])
     }
 
     stopDrawing() {
-        this.mainTransformer.nodes([]);
-        if (this.hoverObj != null) this.hoverObj.remove();
-        this.dragLayer.removeChildren();
-        this.stage.off("mousemove", this.boundMouseMoveHandler);
-        this.stage.off("click", this.boundPlaceShapeHandler);
+        if(this.isDrawEventBound){
+            this.mainTransformer.nodes([]);
+            if (this.hoverObj != null) this.hoverObj.remove();
+            this.dragLayer.removeChildren();
+            this.stage.off("mousemove", this.boundMouseMoveHandler);
+            this.stage.off("click", this.boundPlaceShapeHandler);
+            this.isDrawEventBound = false;
+        }
+
     }
 
@@ -365,6 +371,9 @@
         this.dragLayer.add(this.hoverObj);
         this.dragLayer.moveToTop();
+
+
         this.boundMouseMoveHandler = this.mouseMoveHandler.bind(this);
         this.boundPlaceShapeHandler = this.placeShape.bind(this);
+        this.isDrawEventBound = true;
 
         this.stage.on("mousemove", this.boundMouseMoveHandler);
@@ -374,7 +383,8 @@
     selectShape(e) {
         if (e.target.tagName === "LI") {
+          this.stopDrawing()
             const shapeType = e.target.getAttribute("data-info");
             this.startDrawing(shapeType);
-            this.mainTransformer.nodes([]);
+            this.mainTransformer.nodes([])
         }
     }
@@ -464,8 +474,4 @@
 
     saveShapeDetails() {
-        // this.shapes.forEach(shape => {
-        //     shape.saveShapeDetails();
-        //     console.log(shape.info);
-        // });
         ShapeRegistry.saveDetails();
         console.log("thisflornum",this.floorNum)
@@ -478,21 +484,14 @@
     }
 
-    getPayload(){
-        this.saveShapeDetails();
-        return {
-            shapes: ShapeRegistry.getShapes(this.floorNum),
-            roomTypes: JSON.stringify(this.roomTypes),
-            mapName: this.mapName,
-            floorNum: this.floorNum
-        }
-    }
 
 
     handleStageClick(e) {
         if (this.selectionRectangle.visible()) {
+            console.log("STAGECLICK1")
             return;
         }
 
         if (e.target === this.stage) {
+            console.log("STAGECLICK2")
             this.mainTransformer.nodes([]);
             return;
@@ -500,4 +499,5 @@
 
         if (!e.target.hasName("mapObj")) {
+            console.log("STAGECLICK3")
             return;
         }
@@ -505,4 +505,5 @@
         const metaPressed = e.evt.shiftKey || e.evt.ctrlKey || e.evt.metaKey;
         const isSelected = this.mainTransformer.nodes().indexOf(e.target) >= 0;
+
 
         if (!metaPressed && !isSelected) {
@@ -527,34 +528,8 @@
     }
 
-    getRoomTypes() {
-        return this.roomTypes;
-    }
-
-    getRooms() {
-        return this.getShapeInfoByType("Room");
-    }
-
-    getPins() {
-        return this.getShapeInfoByType("InfoPin");
-    }
-
-    getEntrances() {
-        return this.getShapeInfoByType("Entrance");
-    }
-
-
-
-    getShapeInfoByType(type) {
-        return ShapeRegistry.getShapes(this.floorNum).filter((shape) => shape.className === type).map((shape) => shape.info);
-    }
-
 
     drawConnection(node1Name, node2Name) {
 
         ShapeRegistry.drawConnection(node1Name,node2Name);
-    }
-
-    getNodeByName(name) {
-        return ShapeRegistry.getShapes(this.floorNum).filter(shape => shape instanceof MapNode && shape.info.name === name)[0];
     }
 
@@ -571,16 +546,4 @@
     }
 
-    isMainEntranceSelected() {
-        console.log(this.getEntrances().forEach((en) => console.log(en.isMainEntrance, "asdsad")));
-
-        let hasMainEntrance = false;
-
-        this.getEntrances().forEach((entrance) => {
-            if (entrance.isMainEntrance === true) hasMainEntrance = true;
-        });
-
-        return hasMainEntrance;
-
-    }
 
     clearMap() {
@@ -653,5 +616,10 @@
         this.mainLayer.add(this.selectionRectangle);
 
-        ShapeRegistry.getShapes(this.floorNum).forEach((shape) => shape.displayName(this.textLayer));
+        ShapeRegistry.getShapes(this.floorNum).forEach((shape) => {
+            shape.displayName(this.textLayer);
+            if(shape.className === "Entrance"){
+                shape.setHighlight();
+            }
+        });
     }
 
Index: imaps-frontend/src/scripts/net/HttpService.js
===================================================================
--- imaps-frontend/src/scripts/net/HttpService.js	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/scripts/net/HttpService.js	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -5,4 +5,5 @@
     constructor(auth = false) {
       this.auth = auth;
+      this.responseType = 'json';
     }
 
@@ -10,4 +11,14 @@
         this.auth = true;
     }
+    setResponseType(type){
+        if(type === 'text'){
+            this.responseType = 'text';
+        } else if (type === 'json'){
+            this.responseType = 'json'
+        } else {
+            console.error('unsupported response type in http service')
+        }
+    }
+
 
     async request(method, endpoint, data = null) {
@@ -53,6 +64,12 @@
 
       console.log("HTTPSERVICE: RESPONSE:",response);
-  
-      return response.json();
+
+      if(this.responseType === 'json'){
+          return response.json();
+      } else if (this.responseType === 'text'){
+          return response.text()
+      } else{
+          console.error('bad resp type')
+      }
     }
   
Index: imaps-frontend/src/scripts/net/netconfig.js
===================================================================
--- imaps-frontend/src/scripts/net/netconfig.js	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/scripts/net/netconfig.js	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -14,4 +14,5 @@
         publish: `${API_PROTECTED}/publish/add`,
         publish_get: `${API_PROTECTED}/publish/get`,
+        edit_map_info: `${API_PROTECTED}/my-maps/edit`,
     },
     room_types: {
@@ -34,4 +35,5 @@
         navigate: `${API_PUBLIC}/navigate`,
         add_favourite: `${API_PROTECTED}/favourites/add`,
+        add_report: `${API_PROTECTED}/reports/create`,
     },
     favourites: {
@@ -43,5 +45,11 @@
         login: `${API_AUTH}/login`,
         register: `${API_AUTH}/register`,
-        verify: `${API_AUTH}/verify`
+        verify: `${API_AUTH}/verify`,
+        oauth: {
+            github: {
+                state: `${API_BASE_URL}/oauth/state`,
+                redirectUri : `${API_BASE_URL}/oauth/callback`
+            }
+        }
 
     },
@@ -50,5 +58,6 @@
         load_pr: `${API_BASE_URL}/admin/load-pr`,
         approve_pr: `${API_BASE_URL}/admin/pr/approve`,
-        deny_pr: `${API_BASE_URL}/admin/pr/deny`
+        deny_pr: `${API_BASE_URL}/admin/pr/deny`,
+        load_reports: `${API_BASE_URL}/admin/load-reports`
     }
 };
